## org.jfree.report.util.beans
Class BeanPropertyLookupParser

    java.lang.Object
      org.jfree.report.util.PropertyLookupParser
          org.jfree.report.util.beans.BeanPropertyLookupParser

All Implemented Interfaces:
  java.io.Serializable

    public abstract class BeanPropertyLookupParser

extends PropertyLookupParser

See Also:
  Serialized Form

Constructor Summary
`BeanPropertyLookupParser()`

Method Summary
`protected java.lang.String` `lookupVariable(java.lang.String entity)` Looks up the property with the given name.
`protected abstract java.lang.Object` `performInitialLookup(java.lang.String name)`

Methods inherited from class org.jfree.report.util.PropertyLookupParser
`getClosingBraceChar, getEscapeChar, getMarkerChar, getOpeningBraceChar, setClosingBraceChar, setEscapeChar, setMarkerChar, setOpeningBraceChar, translateAndLookup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanPropertyLookupParser

    public BeanPropertyLookupParser()

Method Detail

### performInitialLookup

    protected abstract java.lang.Object performInitialLookup(java.lang.String name)

  Parameters:
    `name` -
  Returns:

### lookupVariable

    protected java.lang.String lookupVariable(java.lang.String entity)

  Description copied from class: `PropertyLookupParser`
  Looks up the property with the given name.

  Specified by:
    `lookupVariable` in class `PropertyLookupParser`
  Parameters:
    `entity` - the name of the property to look up.
  Returns:
    the translated value.